<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:tools="http://schemas.android.com/tools">
  <data>
    <variable
      name="spendingCategoryTitle"
      type="String" />
    <variable
      name="spendingCategoryAmount"
      type="java.math.BigDecimal" />
    <variable
      name="spentPercentage"
      type="Long" />
    <variable
      name="color"
      type="int" />

  </data>
  <LinearLayout
    android:layout_width="match_parent"
    android:orientation="vertical"
    android:layout_height="wrap_content">
    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="46dp"
      android:layout_marginTop="@dimen/dimen_20"
      android:orientation="horizontal"
      android:weightSum="2">

      <TextView
        android:id="@+id/childOrOwnEducationPercentage"
        android:layout_width="37dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:fontFamily="@font/roboto_medium"
        android:textColor="@color/colorBlack"
        android:textSize="16sp"
        tools:text="Medical 3%"
        android:text="@{@string/spending_pattern_title_placeholder(spendingCategoryTitle,spentPercentage)}"/>

      <TextView
        android:id="@+id/childOrOwnEducationAmount"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:text="@{String.valueOf(spendingCategoryAmount)}"
        android:fontFamily="@font/roboto_medium"
        android:textColor="@color/colorBlack"
        android:textSize="16sp"
        tools:text="1500"
        android:textAlignment="textEnd" />
    </LinearLayout>

    <ProgressBar
      android:id="@+id/childOrOwnEducationProgress"
      style="?android:attr/progressBarStyleHorizontal"
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      tools:progress="15"
      android:max="100"
      android:progress="@{spentPercentage.intValue()}"
      android:progressTint="@{color}" />
  </LinearLayout>
</layout>